# azure.mgmt.storage.v2017_10_01 package

## Submodules

- azure.mgmt.storage.v2017_10_01.models module
- azure.mgmt.storage.v2017_10_01.operations module

## Module contents

class `azure.mgmt.storage.v2017_10_01.``StorageManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The Azure Storage Management API.

  Variables:

  - config (StorageManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.storage.v2017_10_01.operations.Operations) – Operations operations
  - skus (azure.mgmt.storage.v2017_10_01.operations.SkusOperations) – Skus operations
  - storage_accounts (azure.mgmt.storage.v2017_10_01.operations.StorageAccountsOperations) – StorageAccounts operations
  - usage (azure.mgmt.storage.v2017_10_01.operations.UsageOperations) – Usage operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.storage.v2017_10_01.``StorageManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for StorageManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL